using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace Raison2
{
    public class Synthetiseur : INotifyPropertyChanged
    {
        public Synthetiseur()
        { }

        public Synthetiseur(string nom, string fabriquant, int notation, string imageUrl)
        {
            this.nom = nom;
            this.fabriquant = fabriquant;
            this.notation = notation;
            this.imageUrl = imageUrl;
        }

        private string nom;

        public string Nom
        {
            get { return nom; }
            set
            {
                nom = value;
                FirePropertyChanged("Nom");
            }
        }

        private string fabriquant;

        public string Fabriquant
        {
            get { return fabriquant; }
            set
            {
                fabriquant = value;
                FirePropertyChanged("Fabriquant");
            }
        }

        private int notation;

        public int Notation
        {
            get { return notation; }
            set
            {
                notation = value;
                FirePropertyChanged("Notation");
            }

        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void FirePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, 
                    new PropertyChangedEventArgs(propertyName));
        }

        public override string ToString()
        {
            return nom;
        }

        private string imageUrl;

        public string ImageUrl
        {
            get
            {
                return imageUrl;
            }
            set
            {
                imageUrl = value;
                FirePropertyChanged("ImageUrl");
            }
        }
    }
}
